## wav2cdr 2.3.2

=== Makefile ===
--- 
+++ 
@@ -116,7 +116,7 @@
 
 CSRCS = wav2cdr.c cmdarg.c data.c fileio.c process.c
 
-MADESRCS = usage.-c help.-c
+MADESRCS = version.-c usage.-c help.-c
 
 OBJS = $(CSRCS:.c=.o) $(GETOPTSRCS:.c=.o)
 
@@ -151,7 +151,7 @@
 #$(GETOPTSRCS):
 #	$(CC) -c $(CFLAGS) $(GETOPTFLAGS) -o $*.o $(XCFLAGS) $<
 
-# this is unlikely to work for Mickey$oft - don't delete usage.c/help.c!
+# this is unlikely to work for Mickey$oft - don't delete version/usage/help.-c!
 made: delmadesources $(MADESRCS)
 delmadesources:
 	rm -f $(MADESRCS)
@@ -233,36 +233,6 @@
 warnsunmake:
 	@echo "Be sure to use SUN make or it won't work!"
 	@echo "-----------------------------------------"
-
-
-# these 2 targets for administration only
-.PHONY: pack sedver
-# pack it up
-pack:
-	@echo "================================================"
-	@echo "Making wav2cdr for version [$$(VERSION)$$(WV)]: $(VERSION)$(WV)"
-	@echo "================================================"
-	$(MAKE) $(MAKEFLAGS) $(MADESRCS) wav2cdr.txt
-	chmod go+r $(MADESRCS) wav2cdr.txt
-	cd ..; tar -cvhf wav2cdr-$(VERSION)$(WV).tar \
-		wav2cdr/README wav2cdr/BUGS wav2cdr/TODO wav2cdr/COPYING \
-		wav2cdr/ChangeLog \
-		wav2cdr/Make* \
-		wav2cdr/*.[ch1] \
-		wav2cdr/help* wav2cdr/usage* \
-		wav2cdr/wav2cdr.txt \
-		wav2cdr/wav2cdr.lsm
-	cd ..; gzip wav2cdr-$(VERSION)$(WV).tar
-VO=wav2cdr .* Copyright (C) 19.* Volker Kuhlmann
-VN=wav2cdr $(VERSION)$(WV) Copyright (C) 1997, 1998 Volker Kuhlmann
-sedver:
-	for n in $(HSRCS2) $(CSRCS); do \
-	  sed <$$n >$$n.sed -e 's/$(VO)/$(VN)/'; \
-	  if diff $$n $$n.sed >/dev/null; \
-	  	then true; \
-		else cat $$n.sed >$$n; rm $$n.sed; \
-	  fi; \
-	done
 
 
 # MSDOS
