## wav2cdr 2.3.3

=== Makefile ===
--- 
+++ 
@@ -40,10 +40,11 @@
 ## which getopt to use and where to find it
 #
 # uncomment this for GNU getopt in the C library:
-#GETOPTFLAGS = -DHAS_GNUGETOPT
-#GETOPTSRCS =
-#
-# uncomment this for GNU getopt, this needs getopt.c, getopt1.c, getopt.h
+GETOPTFLAGS = -DHAS_GNUGETOPT
+GETOPTSRCS =
+#
+# uncomment this for GNU getopt if it's not in your C library
+# this needs getopt.c, getopt1.c, getopt.h
 # which can be taken from e.g. GNU tar 1.12:
 #GETOPTDIR = .
 #GETOPTDIR = gnugetopt
@@ -51,7 +52,7 @@
 #GETOPTSRCS = $(GETOPTDIR)/getopt.c $(GETOPTDIR)/getopt1.c
 #
 # uncomment this for the quick and dirty getopt which comes with wav2cdr:
-GETOPTSRCS = mygetopt.c
+#GETOPTSRCS = mygetopt.c
 
 
 ## CC
@@ -126,7 +127,13 @@
 # Implicit Rules
 
 .1.txt:
-	nroff -man $< | $(CX) >$*.txt
+	#nroff -man $< | $(CX) >$*.txt
+	if [ `uname -s` = "Linux" ]; then\
+	  (echo -e ".ll 7.3i\n.pl 1100i"; cat $<; echo ".pl \n(nlu+10" )\
+	    | gtbl | groff -Tascii -mandoc | $(CX) >$*.txt;\
+	else\
+	   nroff -man $< | $(CX) >$*.txt;\
+	fi
 .txt.-c:
 	$(SED) < $< 's/"/\\x22""/g' | $(AWK) > $*.-c '{print "\""$$0"\\n\""}'
 	chmod a+r $*.-c
@@ -164,7 +171,7 @@
 	chmod 644 wav2cdr.txt
 
 # a) This will screw up BorCrap make (targets may only appear once).
-# b) The makedepend on our Solaris has no -Y.
+# b) The makedepend on our Solaris X11R5 has no -Y. (X11R6 has)
 depend: $(MADESRCS)
 	makedepend -f Makefile -- $(CFLAGS) $(XCCFLAGS) -- $(CSRCS)
 
@@ -283,4 +290,3 @@
 # comment (and a lot of other things...).
 
 # DO NOT DELETE - AUTOMATICALLY CREATED BY MAKEDEPEND!!!
-# DO NOT DELETE THIS LINE -- make depend depends on it.
