=== debian/changelog ===
wav2cdr (2.3.3-11) unstable; urgency=low

  * New maintainer. Closes: #544632 #483808
  * Bumped Standards-Version
  * Switching to 3.0(quilt)
  * Switch to dpkg-source 3.0 (quilt) format
  * Support for x86_64

 -- Edgar Antonio Palma de la Cruz <xbytemx@gmail.com>  Sat, 13 Feb 2010 17:08:22 -0600

wav2cdr (2.3.3-10) unstable; urgency=low

  * Orphaning package.

 -- Daniel Baumann <daniel@debian.org>  Fri, 20 Jun 2008 19:36:00 +0200

wav2cdr (2.3.3-9) unstable; urgency=low

  * Updating to debhelper 7.
  * Reordering rules file.
  * Rewriting copyright file in machine-interpretable format.

 -- Daniel Baumann <daniel@debian.org>  Sat, 31 May 2008 11:27:00 +0200

wav2cdr (2.3.3-8) unstable; urgency=low

  * Bumping to new policy.
  * Don't hide make errors in clean target of rules.

 -- Daniel Baumann <daniel@debian.org>  Sun, 23 Dec 2007 21:11:00 +0100

wav2cdr (2.3.3-7) unstable; urgency=low

  * Minor cleanups.
  * Bumped package to debhelper 5.

 -- Daniel Baumann <daniel@debian.org>  Tue,  1 May 2007 13:16:00 +0200

wav2cdr (2.3.3-6) unstable; urgency=low

  * New email address.
  * Bumped policy version.

 -- Daniel Baumann <daniel@debian.org>  Thu,  6 Jul 2006 11:48:00 +0200

wav2cdr (2.3.3-5) unstable; urgency=low

  * New maintainer (Closes: #353526).
  * Redone debian/ based on newer debhelper-templates.
  * Using dpatch for patch management.

 -- Daniel Baumann <daniel.baumann@panthera-systems.net>  Mon, 20 Feb 2006 11:55:00 +0100

wav2cdr (2.3.3-4) unstable; urgency=low

  * Update maintainer email address.

 -- Philipp Kern <pkern@debian.org>  Mon, 28 Mar 2005 19:06:42 +0000

wav2cdr (2.3.3-3) unstable; urgency=low

  * New maintainer. (Closes: #288212)
  * Updated standards version.
  * Fixed lintian warnings.

 -- Philipp Kern <phil@philkern.de>  Tue, 11 Jan 2005 20:52:47 +0100

wav2cdr (2.3.3-2) unstable; urgency=low

  * Fixed typo in control file (closes: 125471)

 -- Bart Warmerdam <bartw@debian.org>  Sun, 24 Feb 2002 16:05:45 +0100

wav2cdr (2.3.3-1) unstable; urgency=low

  * New upstream release

 -- Bart Warmerdam <bartw@debian.org>  Tue,  7 Aug 2001 00:09:27 +0200

wav2cdr (2.3.2-2) frozen unstable; urgency=low

  * Fixed a manpage bug.

 -- Bart Warmerdam <BartW@Debian.org>  Sun, 13 Feb 2000 13:52:33 +0100

wav2cdr (2.3.2-1) unstable; urgency=low

  * New upstream release

 -- Bart Warmerdam <BartW@Debian.org>  Sun,  7 Nov 1999 13:15:31 +0100

wav2cdr (2.2.2-1) unstable; urgency=low

  * New upstream release

 -- Bart Warmerdam <BartW@Debian.org>  Sat, 17 Jul 1999 14:53:07 +0200

wav2cdr (2.2-1) unstable; urgency=low

  * New upstream version

 -- Bart Warmerdam <BartW@Debian.org>  Wed,  5 May 1999 10:53:03 +0200

wav2cdr (2.1-2) unstable; urgency=low

  * Patched datatypes to fix 64 bit platforms (Alpha)

 -- Bart Warmerdam <BartW@Debian.org>  Sat, 20 Feb 1999 08:31:19 +0100

wav2cdr (2.1-1) unstable; urgency=low

  * Initial Release.

 -- Bart Warmerdam <BartW@Debian.org>  Sun, 27 Sep 1998 20:21:38 +0200
