=== debian/control ===
Source: wav2cdr
Section: sound
Priority: extra
Maintainer: Edgar Antonio Palma de la Cruz <xbytemx@gmail.com>
Build-Depends: debhelper (>= 7), quilt (>= 0.40)
Standards-Version: 3.8.4

Package: wav2cdr
Section: sound
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Converts wav files into CD-ROM audio file format
 This program converts wav sound files into a format suitable for CD-ROMs, and
 can perform some editing functions like cutting or volume change. It is rather
 rudimentary, the wav file must have the same sampling parameters as CD audio.
 Runs both on big and little endian machines.
