## wav2cdr 2.3.4

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,6 @@
 #
 # Makefile for wav2cdr  (mainly Unix / gcc)
+# THIS ONLY WORKS WITH GNU MAKE!!!
 #
 # Platforms / compilers supported:
 #	SunOS 4.1.3: no
@@ -9,6 +10,8 @@
 #		use target solariscc
 #	Linux 2.0.30, gcc 2.7.2.1, GNU ld
 #		used by default
+#	Linux 2.6.13, gcc 4.0.2, GNU ld
+#		used by default
 #	MSDOS 6.2, Borland Turbo C 3.1
 #		use target msdos
 #		(doesn't really work, use Makefile.bc instead)
@@ -39,25 +42,42 @@
 
 ## which getopt to use and where to find it
 #
+# default is now GNUGETOPTC
+ifndef GNUGETOPT
+ifndef MYGETOPT
+ GNUGETOPTC=1
+endif
+endif
+#
 # uncomment this for GNU getopt in the C library:
-GETOPTFLAGS = -DHAS_GNUGETOPT
-GETOPTSRCS =
-#
-# uncomment this for GNU getopt if it's not in your C library
-# this needs getopt.c, getopt1.c, getopt.h
+ifdef GNUGETOPTC
+ GETOPTFLAGS = -DHAS_GNUGETOPT
+ GETOPTSRCS =
+#
+# uncomment this for GNU getopt, this needs getopt.c, getopt1.c, getopt.h
 # which can be taken from e.g. GNU tar 1.12:
-#GETOPTDIR = .
-#GETOPTDIR = gnugetopt
-#GETOPTFLAGS = -DHAS_GNUGETOPT -I$(GETOPTDIR)
-#GETOPTSRCS = $(GETOPTDIR)/getopt.c $(GETOPTDIR)/getopt1.c
+else
+ifdef GNUGETOPT
+ GETOPTDIR = .
+ GETOPTDIR = gnugetopt
+ GETOPTFLAGS = -DHAS_GNUGETOPT -I$(GETOPTDIR)
+ GETOPTSRCS = $(GETOPTDIR)/getopt.c $(GETOPTDIR)/getopt1.c
 #
 # uncomment this for the quick and dirty getopt which comes with wav2cdr:
-#GETOPTSRCS = mygetopt.c
+else
+ifdef MYGETOPT
+ GETOPTSRCS = mygetopt.c
+endif
+endif
+endif
 
 
 ## CC
 CC	= gcc
 CDEFS	=
+ifdef DEBUG
+ CDEFS	+= -DDEBUG
+endif
 #CDEFS	+= -DDEBUG
 #CDEFS	+= -DNO_ASSERTMANY
 #CDEFS	+= -DBIG_ENDIAN
@@ -67,7 +87,9 @@
 CWARN	+= -Wconversion -Wstrict-prototypes
 CWARN	+= -W
 CFL	= -ansi -pedantic
-CFL	+= -O2
+ifndef NOOPT
+ CFL	+= -O2
+endif
 CFL	+= -g
 CFLAGS	= $(CFL) -I$(INCLUDEDIR) $(CDEFS) $(GETOPTFLAGS) $(CWARN)
 #
@@ -96,11 +118,11 @@
 #
 # $(CC):
 LD	= $(CC)
-LDFLAGS	= $(CFL) -I$(INCLUDEDIR) $(GETOPTFLAGS) $(XLDFLAGS)
+LDFLAGS	= $(CFL) -I$(INCLUDEDIR) $(GETOPTFLAGS)
 #
 # Solaris cc/ld:
 LDsolcc	= cc
-LDFLAGSsolcc = -I$(INCLUDEDIR) $(GETOPTFLAGS) $(XLDFLAGS)
+LDFLAGSsolcc = -I$(INCLUDEDIR) $(GETOPTFLAGS)
 
 ## AWK, SED
 AWK	= awk
@@ -170,10 +192,24 @@
 	$(MAKE) $(MAKEFLAGS) wav2cdr.txt
 	chmod 644 wav2cdr.txt
 
+# help file compiled into the binary:
+# (this is just for the developer's convenience, and might not work reliably!)
+help.txt: wav2cdr.txt
+	sed <wav2cdr.txt \
+		-e 's:44100 Hz:%li Hz:'\
+		-e 's:size  of  2352:size  of  %i:'\
+		-e 's:size of 2352:size of %i:'\
+		-e 's:are 75 sec:are %i sec:' \
+	  | awk '!/^$$/ {print; el=0; next}; /^$$/ {if (!el) print; el=1}' \
+	  >help.txt
+	chmod 644 help.txt
+	#test `grep % help.txt | wc -l` = 3
+	test `tr ' ' '\n' < help.txt | grep % | wc -l` = 3
+
 # a) This will screw up BorCrap make (targets may only appear once).
 # b) The makedepend on our Solaris X11R5 has no -Y. (X11R6 has)
 depend: $(MADESRCS)
-	makedepend -f Makefile -- $(CFLAGS) $(XCCFLAGS) -- $(CSRCS)
+	makedepend -f Makefile.gmake -- $(CFLAGS) $(XCCFLAGS) -- $(CSRCS)
 
 showvar:
 	@echo "CC       =" $(CC)
@@ -209,8 +245,8 @@
 	-rm $(INCLUDEDIR)/*.[ch]%; exit 0
 
 veryveryclean vvclean: veryclean
-	makedepend -f Makefile --  -- 
-	rm -f Makefile.bak $(MADESRCS)
+	makedepend -f Makefile.gmake --  -- 
+	rm -f Makefile.gmake.bak $(MADESRCS)
 	rm -f *.obj *.exe wav2cdr.sym wav2cdr.map
 	rm -f tc0000.swp turboc.\$$ln bcc.tmp
 
@@ -240,6 +276,38 @@
 warnsunmake:
 	@echo "Be sure to use SUN make or it won't work!"
 	@echo "-----------------------------------------"
+
+
+# these 2 targets for administration only
+.PHONY: pack sedver
+# pack it up
+pack:
+	@echo "================================================"
+	@echo "Making wav2cdr for version [$$""(VERSION)$$""(WV)]: $(VERSION)$(WV)"
+	@echo "================================================"
+#	$(MAKE) $(MAKEFLAGS) $(MADESRCS) wav2cdr.txt
+	$(MAKE) $(MADESRCS) wav2cdr.txt
+	chmod go+r $(MADESRCS) wav2cdr.txt
+	cd ..; tar -cvhf wav2cdr-$(VERSION)$(WV).tar --owner root --group root \
+		wav2cdr/README wav2cdr/BUGS wav2cdr/TODO wav2cdr/COPYING \
+		wav2cdr/ChangeLog \
+		wav2cdr/Make* \
+		wav2cdr/*.[ch1] \
+		wav2cdr/help* wav2cdr/usage* wav2cdr/version* \
+		wav2cdr/wav2cdr.txt \
+		wav2cdr/wav2cdr.lsm wav2cdr/wav2cdr*.spec
+	-rm ../wav2cdr-$(VERSION)$(WV).tar.bz2
+	bzip2 -9 ../wav2cdr-$(VERSION)$(WV).tar
+VO=wav2cdr .* Copyright (C) 19.* Volker Kuhlmann
+VN=wav2cdr $(VERSION)$(WV) Copyright (C) 1997, 1998, 1999, 2000, 2006 Volker Kuhlmann
+sedver:
+	for n in $(HSRCS2) $(CSRCS); do \
+	  sed <$$n >$$n.sed -e 's/$(VO)/$(VN)/'; \
+	  if diff $$n $$n.sed >/dev/null; \
+	  	then rm $$n.sed; \
+		else cat $$n.sed >$$n; rm $$n.sed; \
+	  fi; \
+	done
 
 
 # MSDOS
@@ -290,3 +358,4 @@
 # comment (and a lot of other things...).
 
 # DO NOT DELETE - AUTOMATICALLY CREATED BY MAKEDEPEND!!!
+# DO NOT DELETE THIS LINE -- make depend depends on it.
