=== debian/changelog ===
wav2cdr (2.3.4-6) unstable; urgency=medium

  * QA upload.
  * debian/control:
      - Bumped DH level to 13.
      - Bumped Standards-Version to 4.7.3.
      - Removed no longer needed "Priority: optional" field.
      - Removed no longer needed "Rules-Requires-Root: no" field.
  * debian/copyright:
      - Added packaging rights for Adrian Bunk and Bastian Germann.
      - Converted the last paragraph of the GPL-2+ in a comment.
      - Updated packaging copyright years.
  * debian/rules: replaced override_dh_clean with execute_before_dh_clean.
  * debian/tests/control: set two tests as superficial.
  * debian/watch: migrated to version 5.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 29 Jan 2026 11:44:30 -0300

wav2cdr (2.3.4-5) unstable; urgency=medium

  * Team upload.
  * Replace bsdmainutils with bsdextrautils (for col).

 -- Bastian Germann <bage@debian.org>  Tue, 08 Aug 2023 23:12:13 +0200

wav2cdr (2.3.4-4) unstable; urgency=medium

  * QA upload.
  * Use C99 fixed-size integer types to fix runtime assertion on
    64bit architectures other than amd64 and alpha. (Closes: #956927)
  * data.c: Remove incorrect const. (Closes: #749005)
  * Stop linking to the dead Homepage.

 -- Adrian Bunk <bunk@debian.org>  Wed, 01 Jul 2020 21:44:51 +0300

wav2cdr (2.3.4-3) unstable; urgency=medium

  * QA upload.
  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends field and bumped level to 12.
  * debian/control:
      - Added 'Rules-Requires-Root: no' to source stanza.
      - Bumped Standards-Version to 4.5.0.
      - Created VCS fields.
  * debian/copyright: updated packaging copyright years.
  * debian/source/include-binaries: created to control file
    debian/tests/silence.wav.
  * debian/salsa-ci.yml: added to provide CI tests for Salsa.
  * debian/tests/*: added to perform trivial tests.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Fri, 03 Apr 2020 23:42:55 -0300

wav2cdr (2.3.4-2) unstable; urgency=medium

  * QA upload.
  * Set Debian QA Group as maintainer. (see #834310)
  * Migrated DH level to 10.
  * debian/control:
      - Bumped Standards-Version to 4.1.1.
      - Changed Priority from extra to optional.
  * debian/copyright:
      - Updated all upstream and packaging data.
      - Updated GPL's license text.
  * debian/docs: removed useless file version.txt.
  * debian/patches:
      - Created 30_add-GCC-hardening.patch.
      - Created 40_fix-typo.patch to fix a typo for word 'arithmetic'.
      - Fixed all previous headers.
      - Renamed patches to add leading serial numbers.
  * debian/rules: added DEB_BUILD_MAINT_OPTIONS variable to improve the
      GCC hardening.
  * debian/watch:
      - Added a fake site to explain about the current status of the
        original upstream homepage.
      - Bumped to version 4.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 02 Nov 2017 08:46:02 -0200

wav2cdr (2.3.4-1) unstable; urgency=low

  * Switch to DEP5 copyright format.
  * Added new docs builded to debian/docs
  * Added to build-dep gawk and bsdmainutils.
  * Added a patch for manpages and deprecated use of cx.
  * Added the homepage field on control.
  * Switch to dh scripts.
  * Bumped debhelper to 8.
  * Removed the build-dep quilt on control.
  * Removed the duplicated section field on control.
  * Added a watch file.
  * Bumped Standards-Version to 3.9.2
  * New upstream release.

 -- Edgar Antonio Palma de la Cruz <xbytemx@gmail.com>  Tue, 05 Jul 2011 21:05:33 -0500
