=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: wav2cdr
 Section: sound
-Priority: extra
-Maintainer: Edgar Antonio Palma de la Cruz <xbytemx@gmail.com>
-Build-Depends: debhelper (>= 7), quilt (>= 0.40)
-Standards-Version: 3.8.4
+Maintainer: Debian QA Group <packages@qa.debian.org>
+Build-Depends: debhelper-compat (= 13), bsdextrautils, gawk
+Standards-Version: 4.7.3
+Vcs-Browser: https://salsa.debian.org/debian/wav2cdr
+Vcs-Git: https://salsa.debian.org/debian/wav2cdr.git
 
 Package: wav2cdr
-Section: sound
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Converts wav files into CD-ROM audio file format
