=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

execute_before_dh_clean:
	rm -f wav2cdr

override_dh_auto_install:
	dh_auto_install -- INSTALLBINDIR=debian/wav2cdr/usr/bin/ \
                           INSTALLMANDIR=debian/wav2cdr/usr/share/man/
