=== debian/tests/control ===
Test-Command: wav2cdr -V | grep Version
Restrictions: superficial

Test-Command: wav2cdr --help | grep describes
Restrictions: superficial

Test-Command: wav2cdr debian/tests/silence.wav $AUTOPKGTEST_TMP/silence.mp3
